CREATE OR REPLACE 
TRIGGER PAYMENT_TRANS_IMPORT_DATE
BEFORE INSERT OR UPDATE
ON PAYMENT_TRANSACTION
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
BEGIN
IF (:NEW.IMPORT_DATE IS NULL) THEN
:NEW.IMPORT_DATE := :NEW.TRANSACTION_DATE;;
END IF;;
END;;
;

ALTER TABLE S_INV_PROMET
ADD USER_COMMENT VARCHAR2(200 CHAR)
;

ALTER TABLE S_PROMET
MODIFY KOMENTAR VARCHAR2(200 CHAR)
;

DROP VIEW V_S_INV_PROMET
;

CREATE OR REPLACE VIEW V_S_INV_PROMET AS (
SELECT SIP.ID_INV_PROMET, SIP.ID_INVENTURA, SIP.ID_ARTIKEL, SIP.ID_ENOTA, SIP.KOLICINA, SIP.ZALOGA, SIP.UPORABNIK, SIP.DT_VNOSA,
SA.NAZIV AS S_ARTIKLI_NAZIV, SA.NAZIV1 AS S_ARTIKLI_NAZIV1, SE.NAZIV AS S_ENOTE_NAZIV, SG.ID_GRUPA AS S_GRUPE_ID_GRUPA, SG.NAZIV AS S_GRUPE_NAZIV,
SA.BAR_KODA AS S_ARTIKLI_BAR_KODA, SIP.UPDATED, SIP.USER_COMMENT
FROM S_INV_PROMET SIP
LEFT OUTER JOIN S_ARTIKLI SA ON SA.ID_ARTIKEL = SIP.ID_ARTIKEL
LEFT OUTER JOIN S_ENOTE SE ON SE.ID_ENOTA = SIP.ID_ENOTA
LEFT OUTER JOIN S_GRUPE SG ON SG.ID_GRUPA = SA.ID_GRUPA
)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2291, SYSDATE, '5.5', 2211, 'INVENTORY')
;