ALTER TABLE SERVICE_TEMPLATE
ADD GENERATE_INSTRUCTION VARCHAR2(100 CHAR)
;

ALTER TABLE SERVICE_TEMPLATE
ADD INSERT_QUANTITY VARCHAR2(1 CHAR)
;

ALTER TABLE SERVICE_TEMPLATE
ADD MAX_QUANTITY NUMBER
;

ALTER TABLE SERVICE_TEMPLATE
ADD ID_SERVICE_TEMPLATE_LINK NUMBER
;

DROP VIEW V_SERVICE_TEMPLATE
;

CREATE OR REPLACE VIEW V_SERVICE_TEMPLATE AS (
  SELECT SE.ID, SE.ID_WORK_ORDER_TEMPLATE, SE.ID_SERVICE_GROUP_TEMPLATE, SE.NAME, SE.SERVICE, SE.DATE_FROM, SE.DATE_TO, SE.STATUS, SE.QUANTITY, SE.SORT,
  SE.GENERATE_INSTRUCTION, SE.INSERT_QUANTITY, SE.MAX_QUANTITY, SE.ID_SERVICE_TEMPLATE_LINK,
  MN.OPIS AS NNSTOMAR_OPIS, SGT.NNLOCATION_ID, SGT.ID_TYPE AS GROUP_TYPE, SGT.TEMPLATE_SELECTION AS GROUP_TEMPLATE_SELECTION, SGT.STATUS AS GROUP_STATUS
	FROM SERVICE_TEMPLATE SE
  LEFT OUTER JOIN M_NNSTOMAR MN ON MN.SIFRA = SE.SERVICE
  LEFT OUTER JOIN SERVICE_GROUP_TEMPLATE SGT ON SGT.ID = SE.ID_SERVICE_GROUP_TEMPLATE
)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2313, SYSDATE, '5.5', 2233, 'Service_template')
;
